#----------------------------------------------------------------
# Generated CMake target import file for configuration "Release".
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Import target "GXF::app" for configuration "Release"
set_property(TARGET GXF::app APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::app PROPERTIES
  IMPORTED_LINK_DEPENDENT_LIBRARIES_RELEASE "GXF::ucx"
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/app/libgxf_app.so"
  IMPORTED_SONAME_RELEASE "libgxf_app.so"
  )

list(APPEND _cmake_import_check_targets GXF::app )
list(APPEND _cmake_import_check_files_for_GXF::app "${_IMPORT_PREFIX}/lib/gxf/app/libgxf_app.so" )

# Import target "GXF::test_components" for configuration "Release"
set_property(TARGET GXF::test_components APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::test_components PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_RELEASE "CXX"
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/test/components/libtest_components.a"
  )

list(APPEND _cmake_import_check_targets GXF::test_components )
list(APPEND _cmake_import_check_files_for_GXF::test_components "${_IMPORT_PREFIX}/lib/gxf/test/components/libtest_components.a" )

# Import target "GXF::test_extension" for configuration "Release"
set_property(TARGET GXF::test_extension APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::test_extension PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/test_extension/libgxf_test.so"
  IMPORTED_SONAME_RELEASE "libgxf_test.so"
  )

list(APPEND _cmake_import_check_targets GXF::test_extension )
list(APPEND _cmake_import_check_files_for_GXF::test_extension "${_IMPORT_PREFIX}/lib/gxf/test_extension/libgxf_test.so" )

# Import target "GXF::cuda" for configuration "Release"
set_property(TARGET GXF::cuda APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::cuda PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/cuda/libgxf_cuda.so"
  IMPORTED_SONAME_RELEASE "libgxf_cuda.so"
  )

list(APPEND _cmake_import_check_targets GXF::cuda )
list(APPEND _cmake_import_check_files_for_GXF::cuda "${_IMPORT_PREFIX}/lib/gxf/cuda/libgxf_cuda.so" )

# Import target "GXF::multimedia" for configuration "Release"
set_property(TARGET GXF::multimedia APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::multimedia PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/multimedia/libgxf_multimedia.so"
  IMPORTED_SONAME_RELEASE "libgxf_multimedia.so"
  )

list(APPEND _cmake_import_check_targets GXF::multimedia )
list(APPEND _cmake_import_check_files_for_GXF::multimedia "${_IMPORT_PREFIX}/lib/gxf/multimedia/libgxf_multimedia.so" )

# Import target "GXF::serialization" for configuration "Release"
set_property(TARGET GXF::serialization APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::serialization PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/serialization/libgxf_serialization.so"
  IMPORTED_SONAME_RELEASE "libgxf_serialization.so"
  )

list(APPEND _cmake_import_check_targets GXF::serialization )
list(APPEND _cmake_import_check_files_for_GXF::serialization "${_IMPORT_PREFIX}/lib/gxf/serialization/libgxf_serialization.so" )

# Import target "GXF::pubsub" for configuration "Release"
set_property(TARGET GXF::pubsub APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::pubsub PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/pubsub/libgxf_pubsub.so"
  IMPORTED_SONAME_RELEASE "libgxf_pubsub.so"
  )

list(APPEND _cmake_import_check_targets GXF::pubsub )
list(APPEND _cmake_import_check_files_for_GXF::pubsub "${_IMPORT_PREFIX}/lib/gxf/pubsub/libgxf_pubsub.so" )

# Import target "GXF::sample" for configuration "Release"
set_property(TARGET GXF::sample APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::sample PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/sample/libgxf_sample.so"
  IMPORTED_SONAME_RELEASE "libgxf_sample.so"
  )

list(APPEND _cmake_import_check_targets GXF::sample )
list(APPEND _cmake_import_check_files_for_GXF::sample "${_IMPORT_PREFIX}/lib/gxf/sample/libgxf_sample.so" )

# Import target "GXF::rmm" for configuration "Release"
set_property(TARGET GXF::rmm APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::rmm PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/rmm/libgxf_rmm.so"
  IMPORTED_SONAME_RELEASE "libgxf_rmm.so"
  )

list(APPEND _cmake_import_check_targets GXF::rmm )
list(APPEND _cmake_import_check_files_for_GXF::rmm "${_IMPORT_PREFIX}/lib/gxf/rmm/libgxf_rmm.so" )

# Import target "GXF::ucx" for configuration "Release"
set_property(TARGET GXF::ucx APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
set_target_properties(GXF::ucx PROPERTIES
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/gxf/ucx/libgxf_ucx.so"
  IMPORTED_SONAME_RELEASE "libgxf_ucx.so"
  )

list(APPEND _cmake_import_check_targets GXF::ucx )
list(APPEND _cmake_import_check_files_for_GXF::ucx "${_IMPORT_PREFIX}/lib/gxf/ucx/libgxf_ucx.so" )

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
